WordPress Website Maintenance Services

When was the last time you updated your WordPress? If your WordPress install is version 3.5.1... the most recent version is 4.5.2, and some of the standard themes that came with your install (twentytwelve, twentythirteen) and plugins like Jetpack are old, your site is vulnerable to hackers if you don't keep them up to date!!

So, in the future we need to keep those updated, and once we resolve this, change all your passwords regularly.

Contact me for more info. on the maintenance services I provide to my clients.

Comments are closed.